Update an existing Service Order
curl --request PATCH \
--url https://commerce.driv.ly/api/serviceorders/{id} \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"billToCompany": "<string>",
"consignmentCompany": "<string>",
"invoice": "<string>",
"service": "<string>",
"serviceQuote": "<string>",
"statusURL": "<string>",
"attachments": [
"<string>"
]
}
'import requests
url = "https://commerce.driv.ly/api/serviceorders/{id}"
payload = {
"id": "<string>",
"billToCompany": "<string>",
"consignmentCompany": "<string>",
"invoice": "<string>",
"service": "<string>",
"serviceQuote": "<string>",
"statusURL": "<string>",
"attachments": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
billToCompany: '<string>',
consignmentCompany: '<string>',
invoice: '<string>',
service: '<string>',
serviceQuote: '<string>',
statusURL: '<string>',
attachments: ['<string>']
})
};
fetch('https://commerce.driv.ly/api/serviceorders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"billToCompany": "<string>",
"consignmentCompany": "<string>",
"invoice": "<string>",
"service": "<string>",
"serviceQuote": "<string>",
"statusURL": "<string>",
"attachments": [
"<string>"
]
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}Services
Update an existing Service Order
PATCH
/
serviceorders
/
{id}
Update an existing Service Order
Path Parameters
Service Order is uniquely identified by id
Query Parameters
The number of levels of related objects to include in the response
Body
application/json
Service Order is uniquely identified by id
Service Order sends Bill To Company
Service Order has Consignment Company
Invoice is issued for Service Order
Service is ordered in Service Order
Service Order is created from Service Quote
Service Order has Status URL
Service Order has Attachment
Response
Service Order Updated
⌘I